package com.zt.plat.module.base.convert.doctemplate;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateCategoryRespVO;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateCategorySaveReqVO;
import com.zt.plat.module.base.dal.dataobject.doctemplate.DocTemplateCategoryDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 模板分类 Convert
 *
 * @author 系统生成
 */
@Mapper
public interface DocTemplateCategoryConvert {

    DocTemplateCategoryConvert INSTANCE = Mappers.getMapper(DocTemplateCategoryConvert.class);

    DocTemplateCategoryDO convert(DocTemplateCategorySaveReqVO bean);

    DocTemplateCategoryRespVO convert(DocTemplateCategoryDO bean);

    List<DocTemplateCategoryRespVO> convertList(List<DocTemplateCategoryDO> list);

    PageResult<DocTemplateCategoryRespVO> convertPage(PageResult<DocTemplateCategoryDO> page);

}
